#!/bin/ksh
HOME=$(pwd)

#----------- STAND-ALONE ---------------------------
#echo "++++ Compiling HD global 0.5 deg"
#./compile_HD_euro.sh -r 0 -o 0 -c 4
#mv ../hd_05.exe ../hdmd_stanalone.x

#echo "++++ Compiling HD5min: European 5 min"
#./compile_HD_euro.sh -r 2 -o 1 -c 4
#mv ../hd_euro.exe ../hd_euro_stanalone.exe

#----------- COUPLED ---------------------------
#echo "++++ Compiling HD0.5: global 0.5 deg"
#./compile_HD_euro.sh -r 0 -o 1 -c 4
#mv ../hd_05.exe ../hdmd.x

echo "++++ Compiling HD5min: European 5 min"
# -c 4: openmpi
#./compile_HD_euro.sh -r 2 -o 1 -c 4
if [ @{COUP_OAS} == "yes" ];then
 ./compile_HD_euro.sh -r 2 -o 1 -c 4 -y 0
elif [ @{COUP_YAC} == "yes" ];then
 ./compile_HD_euro.sh -r 2 -o 0 -c 4 -y 1
else
 ./compile_HD_euro.sh -r 2 -o 0 -c 4 -y 0
fi
## ==> ../hd_euro.exe

version=@{version_HD}

if [ ! -d ${HOME}/../HD${version} ];then
 mkdir -p ${HOME}/../HD${version}
fi
mv ../hd_euro.exe ../HD${version}/hd_euro.exe
